module Cartel.Types where

-- | A non-empty string.  This string should never be empty.  It is
-- used where, for example, a field in a Cabal file is required to
-- have a value and that value cannot be empty.  In contrast, Cartel
-- uses an ordinary 'String' for values that can be empty.
--
-- This is only a type synonym, so nothing in the type system enforces
-- that these strings must be non-empty.  Typically though, Cabal will
-- give you grief about the file that Cartel generates if you used an
-- empty value for a 'NonEmptyString'.
type NonEmptyString = String

